Package twisted :: Package mail :: Module relay :: Class DomainQueuer

[show private | hide private]
[frames | no frames]

## Class DomainQueuer

An SMTP domain which add messages to a queue.

Method Summary
| `__init__(self, service)`
| ``exists`(self, user, success, failure)` Check whether we will relay
| ``startMessage`(self, user)` Add envelope to queue and returns ISMTPMessage.
| ``willRelay`(self, protocol)` Check whether we agree to relay

Method Details

### exists(self, user, success, failure)

Check whether we will relay

Call overridable willRelay method

### startMessage(self, user)

Add envelope to queue and returns ISMTPMessage.

### willRelay(self, protocol)

Check whether we agree to relay

The default is to relay for non-inet connections or for localhost inet connections. Note that this means we are an open IPv6 relay

Generated by Epydoc 1.1 on Sat Feb 15 21:17:55 2003 | http://epydoc.sf.net